Subject: Re: [X2Go-Dev] Bug#1198: Suspend session does not work since update to Fedora 26

From: Chris Payne <[email-masked]>
Date: Fri, 28 Jul 2017 13:53:14 -0600

Unfortunately, that is not set (just default commented), and that file is
identical to the FC25 version. There doesn't seem to be any other reference
to that parameter in the config directory either:

cpayne@k-2so:/tmp$ cat /etc/redhat-release
Fedora release 25 (Twenty Five)
cpayne@k-2so:/tmp$ grep -r KillUser systemd-fc26/logind.conf
#KillUserProcesses=no
cpayne@k-2so:/tmp$ grep KillUserProcesses /etc/systemd/logind.conf
#KillUserProcesses=no
cpayne@k-2so:/tmp$ diff /etc/systemd/logind.conf systemd-fc26/logind.conf
cpayne@k-2so:/tmp$ grep -r KillUser systemd-fc26/*
systemd-fc26/logind.conf:#KillUserProcesses=no
cpayne@k-2so:/tmp$

Anything else to check? Thanks for the help.

Chris
[email-masked]

On Fri, Jul 28, 2017 at 10:40 AM, Stefan Baur <[email-masked]>
wrote:

> Am 27.07.2017 um 15:15 schrieb Chris Payne:
>
> > Since upgrading to Fedora 26 suspending a session no longer works,
> > terminating the entire session every time. Functionality seems fine
> > otherwise
> > I have tried different window managers (Mate, LXDE, Xfce) but they all
> > behave similarly.
> > I also created a new, clean user but get the same results from their
> login.
> > This is the default configuration, no customizations, and was working
> > fine under Fedora 25.
> >
> > I can successfully connect to a Fedora 25 server using the Fedora 26
> > client so I believe this is an x2goserver (or Fedora 26) issue.
> Please post the output of:
>
> grep KillUserProcesses /etc/systemd/logind.conf
>
> If this is set to "yes", then please complain to the Fedora Maintainers
> that their default setting for this SystemD variable is not sane.
>
> Kind Regards
> Stefan Baur
>
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>
>